- Qt 5.5
- Qt3D Module
- C++ Classes
- QTickClockService
- Qt 5.5.1 Reference Documentation

# QTickClockService Class

(Qt3D::QTickClockService)

Default Qt3D::QAbstractFrameAdvanceService implementation. More...

Header: | #include <QTickClockService>
qmake: | QT += 3dcore
Inherits: | QAbstractFrameAdvanceService

- List of all members, including inherited members

## Public Functions

| QTickClockService()
| ~QTickClockService()

## Reimplemented Public Functions

virtual void | start()
virtual void | stop()
virtual qint64 | waitForNextFrame()

- 3 public functions inherited from Qt3D::QAbstractFrameAdvanceService
- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Detailed Description

Default Qt3D::QAbstractFrameAdvanceService implementation.

This default Qt3D::QAbstractFrameAdvanceService implementation has a frequency of 60 Hz.

## Member Function Documentation

### QTickClockService::QTickClockService()

### QTickClockService::~QTickClockService()

### `[virtual]` void QTickClockService::start()

Reimplemented from QAbstractFrameAdvanceService::start().

Starts the inner tick clock used by the service.

### `[virtual]` void QTickClockService::stop()

### `[virtual]` qint64 QTickClockService::waitForNextFrame()